using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Brovi11
{
    public partial class EditMan : Form
    {
        public EditMan()
        {
            InitializeComponent();
        }

        private void manufacturerBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.manufacturerBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this._1Brovi11DataSet);

        }

        private void EditMan_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_1Brovi11DataSet.Manufacturer". При необходимости она может быть перемещена или удалена.
            this.manufacturerTableAdapter.Fill(this._1Brovi11DataSet.Manufacturer);

        }

        private void button8_Click(object sender, EventArgs e)
        {
            manufacturerBindingSource.EndEdit();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            this.manufacturerTableAdapter.Update(this._1Brovi11DataSet.Manufacturer);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Manufacturer f1 = new Manufacturer();
            f1.Show();
            this.Hide();
        }
    }
}
